#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
@author: JCai
@time: 17-2-8
@version: v1.0
@description:

"""

from datetime import datetime, timedelta
import pytz
from sale_ebay.interface.Ebay.ebay import Ebay


class MyEbay:
    def __init__(self, account_info):

        self.acount_info = account_info
        self.api = Ebay(self.acount_info, proxy=True)
        # self.api = Ebay(self.acount_info, proxy=False)

    def list_seller_listing(self, page=20, per_page=10):
        """
        :param per_page:
        :param page:
        :return:
        """
        print 'page', '''page''', page
        _result = self.api.list_seller_listing(page=page, per_page=per_page)
        return_info = {'result': False}
        if _result['result']:
            try:
                result_item = _result['data']['ItemArray']['Item']
            except:
                result_item = {}
            if not result_item:
                return {'result': False, 'message': 'Listing is empty'}

            _items = []
            if type(result_item) == type({}):
                _result['data']['ItemArray']['Item'] = [_result['data']['ItemArray']['Item']]
            for _item in _result['data']['ItemArray']['Item']:
                __item = {}
                __item['ItemID'] = _item.get('ItemID', '')
                __item['Location'] = _item.get('Location', '')
                __item['Country'] = _item.get('Country', '')
                __item['Site'] = _item.get('Site', '')
                __item['EndTime'] = _item.get('ListingDetails', {}).get('EndTime', '')
                __item['StartTime'] = _item.get('ListingDetails', {}).get('StartTime', '')
                __item['ListingDuration'] = _item.get('ListingDuration', '')
                __item['Quantity'] = _item.get('Quantity', 0)
                __item['CurrentPrice'] = _item.get('SellingStatus', {}).get('CurrentPrice', {}).get('value', 0.0)
                __item['currencyID'] = _item.get('SellingStatus', {}).get('CurrentPrice', {}).get('_currencyID', '')
                __item['ListingStatus'] = _item.get('SellingStatus', {}).get('ListingStatus', '')
                __item['ListingType'] = _item.get('ListingType', '')
                __item['QuantitySold'] = _item.get('SellingStatus', {}).get('QuantitySold', 0)
                __item['Title'] = _item.get('Title', '')
                __item['SKU'] = _item.get('SKU', '')
                __item['WatchCount'] = _item.get('WatchCount', 0)
                __item['GalleryURL'] = _item.get('PictureDetails', {}).get('GalleryURL', '')
                __item['CategoryID'] = _item.get('PrimaryCategory', {}).get('CategoryID', '')
                __item['CategoryName'] = _item.get('PrimaryCategory', {}).get('CategoryName', '')
                __item['StoreCategoryID'] = _item.get('Storefront', {}).get('StoreCategoryID', '')
                __item['variations'] = []
                _Variations = _item.get('Variations', {}).get('Variation', [])
                if type(_Variations) == type({}):  # if only have a variations  ,the resutl is a dict
                    _Variations = [_Variations]
                for __mul_item in _Variations:
                    __m_item = {}
                    __m_item['SKU'] = __mul_item.get('SKU', '')
                    __m_item['Quantity'] = __mul_item.get('Quantity', '')
                    __m_item['CurrentPrice'] = __mul_item.get('StartPrice', {}).get('value', 0)
                    __m_item['QuantitySold'] = __mul_item.get('SellingStatus', {}).get('QuantitySold', '')
                    specifics = __mul_item.get('VariationSpecifics', {}).get('NameValueList', [])
                    if type(specifics) == type({}):
                        specifics = [specifics]
                    __m_item['VariationSpecifics'] = specifics
                    __item['variations'].append(__m_item)
                    if len(__m_item):
                        __item['ListingType'] = 'Variation'
                _items.append(__item)

                _ShippingService = _item.get('ShippingDetails', {}).get('ShippingServiceOptions', {})
                __item['shipping_service_cost'] = 0.0
                if type(_ShippingService) == type({}):
                    _ShippingService = [_ShippingService]
                for __shipping_service in _ShippingService:
                    _ShippingServicePriority = __shipping_service.get('ShippingServicePriority', '')
                    if _ShippingServicePriority == '1':
                        __item['shipping_service_cost'] = __shipping_service.get('ShippingServiceCost', {}).get('value', 0.0)
                        break

            total_page = _result['data']['PaginationResult']['TotalNumberOfPages']
            print total_page
            return {'result': True, 'listings': _items, 'has_next': page < int(total_page), 'next_page': page + 1,
                    'message': _result.get('message')}
        else:
            return {'result': False, 'message': _result.get('message')}

    def revise_fixed_price_item(self, edit_info):
        result_info = self.api.common_execute('ReviseFixedPriceItem', **{'Item': edit_info})
        print result_info
        try:
            ack = result_info['data']['Ack']
        except Exception, e:
            try:
                message = result_info['message']
            except Exception, e:
                return {'result': False, 'message': str(e)}

            return {'result': False, 'message': "修改失败<br>" + message}

        if ack == 'Warning':
            try:
                errors = result_info['data']['Errors']
                error_info = "修改成功<br>警告:"
                if type(errors) == type({}):
                    errors = [errors]
                for error in errors:
                    error_info = error_info + '<br>' + error['LongMessage']
            except Exception, e:
                return {'result': True, 'message': str(e)}

            return {'result': True, 'message': str(error_info)}
        elif ack == 'Success':
            return {'result': True, 'message': ''}

        return result_info

    def revise_item(self, edit_info):
        result_info = self.api.common_execute('ReviseItem', **{'Item': edit_info})
        print result_info
        try:
            item_id = result_info['data']['ItemID']
            ack = result_info['data']['Ack']
        except Exception, e:
            try:
                message = result_info['message']
            except Exception, e:
                return {'result': False, 'message': str(e)}

            return {'result': False, 'message': "修改失败<br>" + message}

        if ack == 'Warning':
            try:
                errors = result_info['data']['Errors']
                error_info = "修改成功<br>警告:"
                if type(errors) == type({}):
                    errors = [errors]
                for error in errors:
                    error_info = error_info + '<br>' + error['LongMessage']
            except Exception, e:
                return {'result': True, 'message': str(e)}

            return {'result': True, 'message': str(error_info)}
        elif ack == 'Success':
            return {'result': True, 'ItemID': item_id, 'message': '修改成功'}

        return result_info

    def revise_inventory_status(self, edit_info):
        result_info = self.api.common_execute('ReviseInventoryStatus', **{'InventoryStatus': edit_info})
        print result_info
        if not result_info['result']:
            return result_info

        try:
            inventory_status = result_info['data']['InventoryStatus']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack == 'Success':
            return {'result': True, 'message': '', 'inventory_status': inventory_status}
        elif ack == 'Warning':
            return {'result': True, 'message': '', 'inventory_status': inventory_status}

        return result_info

    def verify_add_fixed_price_item(self, item_info):
        result_info = self.api.common_execute('VerifyAddFixedPriceItem', **{'Item': item_info})
        print result_info

        if not result_info['result']:
            return result_info

        try:
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack == 'Warning':
            long_message = '警告：<br>'
            try:
                errors = result_info['data']['Errors']
                if type(errors) == type({}):
                    errors = [errors]
                for each in errors:
                    long_message += each['LongMessage'] + '<br>'
            except:
                long_message += 'Warning'
        elif ack != 'Success':
            return result_info
        else:
            long_message = ''

        try:
            fees = result_info['data']['Fees']['Fee']
            ebay_fees = '刊登费用<br>'
            for each in fees:
                value = each['Fee']['value']
                if float(value) > 0:
                    name = each['Name']
                    currency = each['Fee']['_currencyID']
                    ebay_fees += name + '\t' + value + currency + '<br>'
        except Exception, e:
            return {'result': False, 'message': '费用解析' + str(e) + long_message}
        return {'result': True, 'message': ebay_fees + long_message}

    # noinspection PyBroadException
    def add_fixed_price_item(self, item_info):
        result_info = self.api.common_execute('AddFixedPriceItem', **{'Item': item_info})

        if not result_info['result']:
            return result_info

        try:
            item_id = result_info['data']['ItemID']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        item_message = 'ItemID:' + item_id + '<br>'
        if ack == 'Warning':
            long_message = '警告：<br>'
            try:
                errors = result_info['data']['Errors']
                if type(errors) == type({}):
                    errors = [errors]
                for each in errors:
                    long_message += each['LongMessage'] + '<br>'
            except:
                long_message += 'Warning'
        elif ack != 'Success':
            return result_info
        else:
            long_message = ''

        try:
            fees = result_info['data']['Fees']['Fee']
            ebay_fees = '刊登费用<br>'
            for each in fees:
                value = each['Fee']['value']
                if float(value) > 0:
                    name = each['Name']
                    currency = each['Fee']['_currencyID']
                    ebay_fees += name + '\t' + value + currency + '<br>'
        except Exception, e:
            return {'result': False, 'message': item_message + '费用解析' + str(e) + long_message}

        try:
            item_info = result_info['data']
            item = {'ItemID': item_info['ItemID'],
                    'StartTime': item_info['StartTime'],
                    'EndTime': item_info['EndTime']}
        except:
            item = {}

        return {'result': True, 'message': item_message + ebay_fees + long_message, 'item': item}

    def verify_add_item(self, item_info):
        result_info = self.api.common_execute('VerifyAddItem', **{'Item': item_info})
        if not result_info['result']:
            return result_info

        try:
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack == 'Warning':
            long_message = '警告：<br>'
            try:
                errors = result_info['data']['Errors']
                if type(errors) == type({}):
                    errors = [errors]
                for each in errors:
                    long_message += each['LongMessage'] + '<br>'
            except:
                long_message += 'Warning'
        elif ack != 'Success':
            return result_info
        else:
            long_message = ''

        try:
            fees = result_info['data']['Fees']['Fee']
            ebay_fees = '刊登费用<br>'
            for each in fees:
                value = each['Fee']['value']
                if float(value) > 0:
                    name = each['Name']
                    currency = each['Fee']['_currencyID']
                    ebay_fees += name + '\t' + value + currency + '<br>'
        except Exception, e:
            return {'result': False, 'message': '费用解析' + str(e) + long_message}
        return {'result': True, 'message': ebay_fees + long_message}

    def add_item(self, item_info):
        result_info = self.api.common_execute('AddItem', **{'Item': item_info})
        print result_info

        if not result_info['result']:
            return result_info

        try:
            item_id = result_info['data']['ItemID']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        item_message = 'ItemID:' + item_id + '<br>'
        if ack == 'Warning':
            long_message = '警告：<br>'
            try:
                errors = result_info['data']['Errors']
                if type(errors) == type({}):
                    errors = [errors]
                for each in errors:
                    long_message += each['LongMessage'] + '<br>'
            except:
                long_message += 'Warning'
        elif ack != 'Success':
            return result_info
        else:
            long_message = ''

        try:
            fees = result_info['data']['Fees']['Fee']
            ebay_fees = '刊登费用<br>'
            for each in fees:
                value = each['Fee']['value']
                if float(value) > 0:
                    name = each['Name']
                    currency = each['Fee']['_currencyID']
                    ebay_fees += name + '\t' + value + currency + '<br>'
        except Exception, e:
            return {'result': False, 'message': item_message + '费用解析' + str(e) + long_message}

        try:
            item_info = result_info['data']
            item = {'ItemID': item_info['ItemID'],
                    'StartTime': item_info['StartTime'],
                    'EndTime': item_info['EndTime']}
        except:
            item = {}

        return {'result': True, 'message': item_message + ebay_fees + long_message, 'item': item}

    def end_item(self, item_id):
        result_info = self.api.common_execute('EndItem', **{
            'ItemID': item_id,
            'EndingReason': 'NotAvailable'
        })
        # result_info = {'data': {'Ack': 'Success',
        #                         'Timestamp': '2016-11-17T02:43:12.840Z',
        #                         'Version': '993',
        #                         'Build': 'E993_UNI_API5_18187175_R1',
        #                         'EndTime': '2016-11-17T02:43:12.000Z'},
        #                'result': True}
        if not result_info['result']:
            return result_info

        try:
            ack = result_info['data']['Ack']
            EndTime = result_info['data']['EndTime']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'EndTime': EndTime}

    def end_items(self, item_ids):
        items = []
        for item_id in item_ids:
            items.append({'ItemID': item_id, 'EndingReason': 'NotAvailable'})

        result_info = self.api.common_execute('EndItems', **{
            'EndItemRequestContainer': items
        })
        if not result_info['result']:
            return result_info

        try:
            ack = result_info['data']['Ack']
            EndTime = result_info['data']['EndTime']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'EndTime': EndTime}

    def get_categories(self, item_info):
        result_info = self.api.common_execute('GetCategories', **item_info)

        if not result_info['result']:
            return result_info

        try:
            category = result_info['data']['CategoryArray']['Category']
            category_version = result_info['data']['CategoryVersion']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category': category, 'category_version': category_version}

    def get_category_features(self):
        result_info = self.api.common_execute('GetCategoryFeatures', **{
            'DetailLevel': 'ReturnAll',
            'ViewAllNodes': True,
            'CategoryID': '58058',
            'FeatureID': ['ConditionEnabled', 'ConditionValues']
        })
        print result_info

        if not result_info['result']:
            return result_info

        try:
            category_specifics = result_info['data']['Recommendations']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category_specifics': category_specifics}

    def get_category_specifics(self, category_ids):
        result_info = self.api.common_execute('GetCategorySpecifics', **{
            'CategoryID': category_ids,
            'CategorySpecificsFileInfo': True
        })
        print result_info

        if not result_info['result']:
            return result_info

        try:
            category_specifics = result_info['data']['Recommendations']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category_specifics': category_specifics}

    def get_store(self, kwargs):
        result_info = self.api.common_execute('GetStore', **kwargs)

        if not result_info['result']:
            return result_info['message'], {}

        try:
            store = result_info['data']['Store']
            ack = result_info['data']['Ack']
        except Exception, e:
            return str(e), {}

        if ack != 'Success':
            return '获取店铺信息，没有返回成功', result_info

        return '', store

    def get_user_disputes(self):
        result_info = self.api.common_execute('GetUserDisputes', **{
            'WarningLevel': 'High',
            'DisputeFilterType': 'AllInvolvedDisputes',
            'DisputeSortType': 'DisputeCreatedTimeDescending',
            'Pagination': {
                'EntriesPerPage': 5,
                'PageNumber': 1
            },
            'DetailLevel': 'ReturnAll'
        })
        print result_info

        if not result_info['result']:
            return result_info

        try:
            category_specifics = result_info['data']['Recommendations']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category_specifics': category_specifics}

    def get_dispute(self):
        result_info = self.api.common_execute('GetDispute', **{
            'DisputeID': '5121623067',
        })
        print result_info

        if not result_info['result']:
            return result_info

        try:
            category_specifics = result_info['data']['Recommendations']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category_specifics': category_specifics}

    def get_my_messages(self):
        to_time = str(datetime.now(pytz.UTC) + timedelta(days=-10)).split('.')[0].replace(' ', 'T') + 'Z'
        from_time = str(datetime.now(pytz.UTC)).split('.')[0].replace(' ', 'T') + 'Z'
        result_info = self.api.common_execute('GetMyMessages', **{
            'WarningLevel': 'High',
            'DetailLevel': 'ReturnHeaders',
            'StartTime': to_time,
            # 'EndTime': from_time
        })
        print result_info

        if not result_info['result']:
            return result_info

        try:
            category_specifics = result_info['data']['Recommendations']
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            return result_info

        return {'result': True, 'message': '', 'category_specifics': category_specifics}

    def get_ebay_details(self, detail_name=[]):
        if detail_name:
            result_info = self.api.common_execute('GeteBayDetails', **{
                'DetailName': detail_name,
            })
        else:
            result_info = self.api.common_execute('GeteBayDetails')

        if not result_info['result']:
            return False, result_info['message'], ''

        try:
            data_details = result_info['data']
            ack = result_info['data']['Ack']
        except Exception, e:
            return False, str(e), ''

        if ack != 'Success':
            return result_info

        return True, '', data_details

    def get_ebay_orders(self, from_t, to_t, **order_info):
        # 90天内
        to_time = str(to_t).replace(' ', 'T') + '.000Z'
        from_time = str(from_t).replace(' ', 'T') + '.000Z'
        info = {
            'CreateTimeFrom': from_time,
            'CreateTimeTo': to_time,
            'OrderRole': 'Seller',
            'OrderStatus': 'All',  # 状态待确认
            'DetailLevel': 'ReturnAll'
        }
        info.update(order_info)
        result_info = self.api.common_execute('GetOrders', **info)
        # print result_info
        if not result_info['result']:
            return result_info
        try:
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            try:
                result_info = {'result': False, 'message': result_info['data']['Errors']}
            except Exception, e:
                result_info = {'result': False, 'message': str(e)}
            return result_info
        return {'result': True, 'message': result_info}

    def get_ebay_ordertransactions(self, info):  # 未使用
        # info列表[{'OrderID':xxx},{'OrderID':xxx},{'OrderID':xxx}...]
        print 'info', info
        # info = [{'OrderID': '252292520569-1940623015015'},{'OrderID':'252620144956-0'}]
        ordertransactions_info = {'OrderIDArray': info, 'DetailLevel': 'ReturnAll'}
        # ordertransactions_info = {'ItemTransactionIDArray':{'TransactionID':'1494177254006'}}
        result_info = self.api.common_execute('GetOrderTransactions', **ordertransactions_info)
        print result_info

        if not result_info['result']:
            return result_info
        try:
            ack = result_info['data']['Ack']
        except Exception, e:
            return {'result': False, 'message': str(e)}

        if ack != 'Success':
            try:
                result_info = {'result': False, 'message': result_info['data']['Errors']}
            except Exception, e:
                result_info = {'result': False, 'message': str(e)}
            return result_info
        return {'result': True, 'message': result_info}


    def seller_store_listing(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', []

        try:
            per_page = int(call_data['Pagination']['PageNumber'])
        except:
            return False, '无法获取页码信息', []

        result_info = self.api.common_execute('GetSellerList', **call_data)

        try:
            data_details = []
            total_page = int(result_info['data']['PaginationResult']['TotalNumberOfPages'])
            if total_page != 0:
                data_details = result_info['data']['ItemArray']['Item']
        except Exception, e:
            return False, str(e), []

        if per_page < total_page:
            return True, '', data_details

        return True, '全部Listing同步完成', data_details

    def seller_store_listing2(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', []

        '''try:
            per_page = int(call_data['Pagination']['PageNumber'])
        except:
            return False, '无法获取页码信息', []'''

        result_info = self.api.common_execute('GetItem', **call_data)


        try:
            data_details = []
            if(result_info['result']):
                data_details = result_info['data']['Item']
        except Exception, e:
            return False, str(e), []
        '''
        if per_page < total_page:
            return True, '', data_details

        return True, '全部Listing同步完成', data_details
        '''
        return True,'pp',data_details

    def get_seller_events(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', []

        # try:
        #     per_page = int(call_data['Pagination']['PageNumber'])
        # except:
        #     return False, '无法获取页码信息', []

        result_info = self.api.common_execute('GetSellerEvents', **call_data)

        try:
        #     data_details = []
        #     total_page = int(result_info['data']['PaginationResult']['TotalNumberOfPages'])
        #     if total_page != 0:
              data_details = result_info['data']['ItemArray']['Item']
        except Exception, e:
            return False, str(e), []
        #
        # if per_page < total_page:
        #     return True, '', data_details

        return True, '全部Listing同步完成', data_details


def str_to_date(date_str):
    try:
        local_timezone = pytz.UTC
        open_date_str = date_str[:19]
        if '-' in open_date_str and open_date_str.startswith('201'):
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%Y-%m-%dT%H:%M:%S'))
        elif '/' in open_date_str and open_date_str.startswith('201'):
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%Y/%m/%dT%H:%M:%S'))
        else:
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%d/%m/%YT%H:%M:%S'))
    except Exception, e:
        print 'open_date error  ', e
        open_date = None
    return open_date


def dict_key_replace(key_map, org_dict):
    tmp_dict = {}
    for new_key, old_key in key_map.items():
        tmp_dict[new_key] = org_dict.get(old_key, '')
    return tmp_dict




if __name__ == '__main__':
    account_info = {'AppID': '',
                    'CertID': '',
                    'DevID': '',
                    'Token': 'AgAAAA**AQAAAA**aAAAAA**lbYOWA**nY+sHZ2PrBmdj6wVnY+sEZ2PrA2dj6wFk4GjD5aEpg6dj6x9nY+se'
                             'Q**afoDAA**AAMAAA**qotu+4zgA8BtpEuC3ClZQE0qv4pBZP6tyLNSgYwTcA6ar6ZzdTOm6NR2vtFdjADuQ+'
                             'JFID0D8HwXIkb8ojYYb7zbmreBBMVmREmCeQudZ+PAebl9BSpvwPaGWgHzcRMnRKJtwle+T490EXjOnpe7ma4'
                             'qLkw5xkOhw9fnG+T4KSNyMn6Tt3+JU1sgmHq2Mpd5oDVLC28GRSjQ86tkdqVbZzMTkJdCfHHSTBrrTQtWvIiM'
                             'ZRry+9LrVrsEYCMLzGEkIQdcf6qrDb6PswirHuJ19zAxlnuOjxWBgZjmELVzFNNAP2O0b0bilZ8A6Lt8jfv+q'
                             'DoNqEK5zwQRap6Xxh94gOvHOwvlzf5Nw0Sq34w6Z9cAFotqMipAMvJlr7iJHUD8b5cCOWs8DrYYnNsui8aJPn'
                             'sojhol0PymLdu5r8hy4vTXhMSZx8iehbU2zQdspTvtEfqLpUt1S1rDtrjbMrwj/lM+KUkLoX4do2H2s4WFy04'
                             'TszciZgTFb4H4583GVaIMNUJLjQR/pDRwJ/m4ZC3OFWR2MOjXxjtibrPbEoNvPPt/D6CXC0FBE2FD05MXIwiO'
                             'WXLQOWkMNOsfw+D55Mpd/5sSWXgfH6MEhPrWPxLw5Ot6cx2xVAr0FxitNv8o3eW6GINoQBIvWw7UhYx+iE6qb'
                             'OOqfja9+doO1wzmVTGlw8Cj4GFDftsP3tRtlWiTLvGegiJfbXC9RBhLdqG5AgBprFQ6wupKIMy42B7uaP+9OM'
                             '8Mg2muFAqdollhmzbNRTaL'}
    # api = MyEbay(account_info)
    api = MyEbay(get_default_account())
    # api.get_store()

    api.get_ebay_details([])
    api.get_category_features()
    api.get_category_specifics('87125')
    # print api.list_seller_listing(page=1, per_page=10)

