#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
@author: JCai
@time: 17-2-8
@version: v1.0
@description:

"""
from datetime import datetime, timedelta

import pytz

from info_sync.interface.trading_proxy import Ebay



class MyEbay:
    def __init__(self, account_info):

        self.acount_info = account_info
        # self.api = Ebay(self.acount_info, proxy=True)
        self.api = Ebay(self.acount_info, proxy=False)

    def get_seller_list(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', [], True

        try:
            per_page = int(call_data['Pagination']['PageNumber'])
        except:
            return False, '无法获取页码信息', [], True

        result_info = self.api.common_execute('GetSellerList', **call_data)

        try:
            data_details = []
            total_page = int(result_info['data']['PaginationResult']['TotalNumberOfPages'])
            if total_page != 0:
                data_details = result_info['data']['ItemArray']['Item']

        except Exception, e:
            return False, str(e), [], True

        if per_page < total_page:
            return True, '', data_details, True
        elif per_page == total_page:
            return True, '全部Listing同步完成', data_details, False

        return False, '全部Listing同步完成', data_details, True

    def get_seller_events(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', []

        result_info = self.api.common_execute('GetSellerEvents', **call_data)

        try:
            data_details = result_info['data']['ItemArray']['Item']
        except Exception, e:
            return False, str(e), []

        return True, '全部Listing同步完成', data_details

    def get_item(self, call_data={}):
        if not call_data:
            return False, '上传至eBay的信息不能为空', []

        result_info = self.api.common_execute('GetItem', **call_data)

        try:
            data_details = result_info.get('data', {}).get('Item', {})
        except Exception, e:
            return False, str(e), []

        return True, '', data_details


