#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-8
# @Author  : JCai
# @desc    :


from django.db import models


class EBayListingInfoBase(models.Model):
    item_title = models.CharField(max_length=100)
    item = models.CharField(db_column='item_id', max_length=20, blank=True, null=True)
    account = models.IntegerField(db_column='account_id', blank=True, null=True)
    site_id = models.CharField(max_length=20, blank=True, null=True)
    listing_type = models.CharField(max_length=20, blank=True, null=True)
    listing_status = models.CharField(max_length=20, blank=True, null=True)
    source_url = models.CharField(max_length=100, blank=True, null=True)
    seller_sku = models.CharField(max_length=100, blank=True, null=True)
    title = models.CharField(max_length=300, blank=True, null=True)
    currency_id = models.CharField(max_length=30, blank=True, null=True)
    current_price = models.FloatField(blank=True, null=True)
    start_price = models.FloatField(blank=True, null=True)
    reserve_price = models.FloatField(blank=True, null=True)
    buy_it_now_price = models.FloatField(blank=True, null=True)
    listing_duration = models.CharField(max_length=20, blank=True, null=True)
    quantity = models.IntegerField(blank=True, null=True)
    quantity_sold = models.IntegerField(blank=True, null=True)
    warehouse_id = models.IntegerField(blank=True, null=True)
    country = models.CharField(max_length=100, blank=True, null=True)
    location = models.CharField(max_length=100, blank=True, null=True)
    create_date = models.DateTimeField(blank=True, null=True)
    update_time = models.DateTimeField(blank=True, null=True)
    open_time = models.DateTimeField(blank=True, null=True)
    end_time = models.DateTimeField(blank=True, null=True)
    product_status = models.IntegerField(blank=True, null=True)
    spu = models.CharField(db_column='spu_id', max_length=20, blank=True, null=True)
    sales = models.IntegerField(db_column='sale_user_id', blank=True, null=True)
    comment = models.CharField(max_length=300, blank=True, null=True)
    watch_count = models.IntegerField(blank=True, null=True)
    variation = models.IntegerField(blank=True, null=True)
    class Meta:
        managed = False
        db_table = 'ebay_listing_info_base'


class EBayListingInfoVariations(models.Model):
    item = models.CharField(db_column='item_id', max_length=20, blank=True, null=True)  # Field name made lowercase.
    seller_sku = models.CharField(max_length=30, blank=True, null=True)
    current_price = models.FloatField(blank=True, null=True)  # Field name made lowercase.
    quantity = models.IntegerField(blank=True, null=True)  # Field name made lowercase.
    quantity_sold = models.IntegerField(blank=True, null=True)  # Field name made lowercase.
    variation_specifics = models.CharField(max_length=200, blank=True, null=True)  # Field name made lowercase.
    refresh = models.IntegerField(blank=True, null=True)
    status = models.IntegerField(blank=True, null=True)
    comment = models.CharField(max_length=300, blank=True, null=True)
    no_single_day = models.IntegerField(blank=True, null=True)
    create_date = models.DateTimeField(blank=True, null=True)
    write_date = models.DateTimeField(blank=True, null=True)
    sale_user_id = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'ebay_listing_info_variations'


class EBayListingInfoMore(models.Model):
    item = models.CharField(db_column='item_id', max_length=20, blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    description_simple = models.TextField(blank=True, null=True)
    description_template_id = models.IntegerField(blank=True, null=True)
    description_title = models.CharField(max_length=300, blank=True, null=True)
    description_image = models.TextField(blank=True, null=True)
    description_content = models.TextField(blank=True, null=True)
    image_list = models.TextField(blank=True, null=True)
    dispatch_time_max = models.IntegerField(blank=True, null=True)
    shipping_domestic = models.TextField(blank=True, null=True)
    shipping_international = models.TextField(blank=True, null=True)
    exclude_ship_to_location = models.TextField(blank=True, null=True)
    return_policy = models.TextField(blank=True, null=True)
    buyer_requirement = models.TextField(blank=True, null=True)
    category_specifics = models.TextField(blank=True, null=True)
    category_specifics_original = models.TextField(blank=True, null=True)
    category_specifics_new = models.TextField(blank=True, null=True)
    variations = models.TextField(blank=True, null=True)
    variation_keys = models.TextField(blank=True, null=True)
    image = models.TextField(blank=True, null=True)
    payment_methods = models.TextField(blank=True, null=True)
    paypal_email_address = models.CharField(max_length=300, blank=True, null=True)
    payment_instruction = models.TextField(blank=True, null=True)
    post_code = models.CharField(max_length=100, blank=True, null=True)
    primary_category_id = models.CharField(max_length=20, blank=True, null=True)
    secondary_category_id = models.CharField(max_length=20, blank=True, null=True)
    store_category_id = models.CharField(max_length=20, blank=True, null=True)
    store_category_2id = models.CharField(max_length=20, blank=True, null=True)
    # variation_specific_name = models.CharField(max_length=20, blank=True, null=True)
    primary_category_name = models.CharField(max_length=300, blank=True, null=True)
    secondary_category_name = models.CharField(max_length=300, blank=True, null=True)
    # condition_id = models.IntegerField(blank=True, null=True)
    # listing_details = models.CharField(max_length=100, blank=True, null=True)
    sub_title = models.CharField(max_length=300, blank=True, null=True)
    condition_id = models.CharField(max_length=30, blank=True, null=True)
    class Meta:
        managed = False
        db_table = 'ebay_listing_info_more'
